Multivariate Pattern Analysis in Python

# mvpa2.kernels.base.PrecomputedKernel

class `mvpa2.kernels.base.``PrecomputedKernel`(matrix=None, *args, **kwargs)

  Precomputed matrix

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_np`() | Directly return this kernel as a numpy array.
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) |
  `computed`(*args, **kwargs) | Compute kernel and return self

  Parameters:

  matrix : Numpy array or convertable kernel, or other object type

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_np`() | Directly return this kernel as a numpy array.
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) |
  `computed`(*args, **kwargs) | Compute kernel and return self

  `compute`(*args, **kwargs)